#pragma once

#include "ehs/EHS.h"
#include "ehs/Str.h"
#include "Socket.h"

namespace ehs
{
    class DNS
    {
    public:
		/// Resolves a hostname to an ip address.
		/// @param [in] hostname The given hostname to resolve.
		/// @returns The resulting ip address.
        static Str_8 Resolve(const Str_8& hostname);
    };
}