#pragma once

#include "ehs/EHS.h"
#include "ehs/Str.h"

#include "JsonBase.h"

namespace ehs
{
	class JsonBool : public JsonBase
	{
	public:
		bool value;

		JsonBool();

		JsonBool(const bool value);

		JsonBool(const JsonBool& jb) = default;

		operator bool() const;

		operator bool&();

		Str_8 ToStr(const UInt_64 level, const bool compact) const;
	};
}